Name:           libdv
Version:        1.0.0
Release:        30
Summary:        The Quasar DV Codec
License:        LGPLv2+
URL:            http://libdv.sourceforge.net/
Source:         http://downloads.sourceforge.net/libdv/libdv-%{version}.tar.gz
Patch0001:      libdv-0.104-no-exec-stack.patch
Patch0002:      libdv-1.0.0-pic.patch
Patch0003:      libdv-1.0.0-gtk2.patch
Patch0004:      libdv-1.0.0-dso-linking.patch

BuildRequires:  gtk2-devel libXt-devel libXv-devel popt-devel
BuildRequires:  SDL-devel autoconf automake libtool

%description
The Quasar DV Codec (libdv) is a software decoder for DV format
video, as defined by the IEC 61834 and SMPTE 314M standards.
DV is the encoding format used by consumer-grade digital camcorders.

%package tools
Summary:        Basic tools to manipulate Digital Video streams
Requires:       %{name} = %{version}-%{release}

%description tools
Libdv-tools provides Basic tools to manipulate Digital Video streams.

%package devel
Summary:        Development package for libdv
Requires:       %{name} = %{version}-%{release} pkgconfig

%description devel
Libdv-devel provides libraries and other files for libdv.

%package help
Summary: Help documents for libdv

%description help
Libdv-help provides man pages and other related help documents for libdv.

%prep
%autosetup -n %{name}-%{version} -p1
libtoolize
autoreconf -vif

%build
%configure --with-pic
%make_install

%install
%make_install

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%doc ChangeLog README.* AUTHORS
%license COPYING COPYRIGHT
%{_libdir}/libdv.so.*
%exclude %{_libdir}/libdv.{a,la}

%files tools
%{_bindir}/{dubdv,dvconnect,encodedv,playdv}

%files devel
%{_includedir}/libdv/
%{_libdir}/libdv.so
%{_libdir}/pkgconfig/libdv.pc

%files help
%{_mandir}/man1/*.1*

%changelog
* Thu Jan 16 2020 liujing <liujing144@huawei.com> - 1.0.0-30
- update patches from https://code.foxkit.us/adelie/aports-old/blob/50de7d785d5500a14ed00fa12e483e8ceaf4f06a/main/libdv

* Thu Oct 24 2019 yanzhihua <yanzhihua4@huawei.com> - 1.0.0-29
- Package init
